> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get invoice details by ID

GET https://api.letsdeel.com/rest/ic/workers/invoices/{invoice_id}

This endpoint retrieves invoice information by ID. Use it to access detailed invoice data for reference or verification.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/reference/endpoints/workers/get-invoice-details-by-id-v-2026-04-27

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `invoice_id` (string, required) — Public invoice id for the invoice to return.

## Response

### 200

Invoice detail

- `data` (IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaData, required) — Invoice summary (snake_case; display card fields, amounts, and payment display).

## Errors

### 400 Bad Request Error

Bad request (invalid query or path parameters).

- `errors` (list of IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Unauthorized (missing or invalid worker token).

- `errors` (list of IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 403 Forbidden Error

Forbidden (invoice not found or not accessible to this worker).

- `errors` (list of IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)
- `request` (IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaRequest, optional) — Present for some public API responses (e.g. when `x-is-api-call` is set).

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 412 Precondition Failed Error

Precondition failed (e.g. `icEmbeddedWorkerSetup` is not enabled for the organization).

- `errors` (list of IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Internal server error.

- `errors` (list of IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaData

Invoice summary (snake_case; display card fields, amounts, and payment display).

- `id` (string, required) — Public invoice id.
- `status` (string, required) — Invoice workflow status.
- `currency` (string, required) — Three-letter currency code.
- `created_at` (string, required) — When the invoice record was created (ISO-8601).
- `title` (string, optional) — Display title.
- `total` (string, optional, nullable) — Total including fees.
- `amount` (string, optional, nullable) — Amount before fees.
- `issued_at` (string, optional, nullable) — When the invoice was issued, if applicable.
- `payment_display_status` (IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaDataPaymentDisplayStatus, optional) — Derived payment display state for the invoice.

### IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code.
- `message` (string, required) — Human-readable explanation of the error.
- `field` (string, optional) — JSON pointer to the invalid field, when applicable.
- `details` (map from string to any, optional) — Optional structured context for the error.

### IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaRequest

Present for some public API responses (e.g. when `x-is-api-call` is set).

- `url` (string, optional)
- `method` (string, optional)
- `status` (integer, optional)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### IcWorkersInvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaDataPaymentDisplayStatus

Derived payment display state for the invoice.

- `key` (string, required) — Stable machine key.
- `label` (string, required) — Human-readable label.

## Examples

**Response**

```json
{
  "data": {
    "id": "GqaY5BHQJUAM2Jg9kq2j2",
    "status": "paid",
    "currency": "USD",
    "created_at": "2022-05-24T09:38:46.235Z",
    "title": "January 2025",
    "total": "220.00",
    "amount": "200.00",
    "issued_at": "2022-05-24T09:38:46.235Z",
    "payment_display_status": {
      "key": "paid",
      "label": "Paid"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/ic/workers/invoices/GqaY5BHQJUAM2Jg9kq2j2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```